#include<iostream>
#include<string>
#include <vector>
using namespace std;

int main(){
	string T,S;
	int M,p,N=0;
	cin>>T>>S;
	M=S.length();
	for(int i=0;i<T.length();i++){
		if(T[i]==S[0]){
			for(int n=0;n<M;n++){
				if(T[i]==S[n]){
				 	if((T[i]!=T[i+1] && T[i]!=T[i-1])) {
					 	p=i;
					 	N+=1;
					}
					else if(T[i]==T[i+1]) n-=1;
				}
			}
		}
		T.replace(p,1,"*");
	}
	cout<<N<<endl;
	for(int i=0;i<T.length();i++){
		cout<<T[i];
	}
	return 0;
}